<?php
/*//////////////////////////////////////////////////////////////////////////////
Database uninstall script for the member NotePad mod by Kays.
This can be uploaded to the root of your forums and accessed directly by url.
http://www.YourSite.tdl/forums/uninstall_db.php
//////////////////////////////////////////////////////////////////////////////*/

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SSI.php.');
	
if((SMF == 'SSI') && !$user_info['is_admin'])
	die('Admin priveleges required.');

if(isset($smcFunc))
{
	db_extend('packages');

	$smcFunc['db_drop_table']('{db_prefix}member_notes');

	$smcFunc['db_query']('ignore', '
		DELETE FROM {db_prefix}permissions
		WHERE permission = {string:permission1}
			OR permission = {string:permission2}',
		array(
			'permission1' => 'use_notepad',
			'permission2' => 'ignore_max_notes',
		)
	);

	$smcFunc['db_query']('ignore', '
		DELETE FROM {db_prefix}settings
		WHERE variable = {string:variable}
		LIMIT 1',
		array(
			'variable' => 'notepad_enable_use'
		)
	);

	$smcFunc['db_query']('ignore', '
		DELETE FROM {db_prefix}settings
		WHERE variable = {string:variable}
		LIMIT 1',
		array(
			'variable' => 'notepad_max_notes'
		)
	);

}
else
{
	db_query("DROP TABLE IF EXISTS {$db_prefix}member_notes", __FILE__, __LINE__);
	
	db_query("DELETE IGNORE FROM {$db_prefix}permissions WHERE permission = 'use_notepad'", __FILE__, __LINE__);
	db_query("DELETE IGNORE FROM {$db_prefix}permissions WHERE permission = 'ignore_max_notes'", __FILE__, __LINE__);
	
	db_query("DELETE IGNORE FROM {$db_prefix}settings WHERE variable = 'notepad_enable_use' LIMIT 1", __FILE__, __LINE__);
	db_query("DELETE IGNORE FROM {$db_prefix}settings WHERE variable = 'notepad_max_notes' LIMIT 1", __FILE__, __LINE__);
}

if(SMF == 'SSI')
	echo 'The database additions for the Member Notepad mod have been removed';

?>