<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SSI.php.');

if((SMF == 'SSI') && !$user_info['is_admin'])
	die('Admin priveleges required.');

if(isset($smcFunc))
{
	db_extend('packages');

	// Create the table
	$smcFunc['db_create_table'] ('{db_prefix}member_notes', 
		array(
			array(
				'name' => 'id_note', 
				'type' => 'mediumint', 
				'size' => 8, 
				'null' => false,
				'unsigned' => true, 
				'auto' => true,
			),
			array(
				'name' => 'id_member', 
				'type' => 'mediumint', 
				'size' => 8, 
				'null' => false,
				'unsigned' => true, 
			),
			array(
				'name' => 'subject', 
				'type' => 'tinytext', 
				'null' => false,
			),
			array(
				'name' => 'body', 
				'type' => 'mediumtext', 
				'null' => false,
			),
		),
		array(
			array(
				'name' => 'id_note',
				'type' => 'primary',
				'columns' => array('id_note'),
			),
		),
		array(),
		'ignore');

	// Add to the settings table
	$smcFunc['db_insert']('ignore',
		'{db_prefix}settings',
		array('variable' => 'string', 'value' => 'int'),
		array(
			array('notepad_enable_use', '1'),
			array('notepad_max_notes', '0'),
		),
		array('variable')
	);
	
	// Add permission for all member groups
	$request = $smcFunc['db_query']('', '
		SELECT id_group
		FROM {db_prefix}membergroups
		WHERE id_group != 1',
		array(
		)
	);

	$rowdata = array();
	$rowdata[] = array('use_notepad', 0, 1);

	while($row = $smcFunc['db_fetch_assoc']($request))
		$rowdata[] = array('use_notepad', (int) $row['id_group'], 1);
	$smcFunc['db_free_result']($request);
	
	$smcFunc['db_insert']('ignore','
		{db_prefix}permissions',
		array(
			'permission' => 'string', 'id_group' => 'int', 'add_deny' => 'int',
		),
		$rowdata,
		array('permission', 'id_group')
	);
}
else
{	
	// Create the table
	db_query("
		CREATE TABLE IF NOT EXISTS {$db_prefix}member_notes (
			id_note MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT ,
			id_member MEDIUMINT(8) UNSIGNED NOT NULL ,
			subject TINYTEXT NOT NULL,
			body MEDIUMTEXT NOT NULL,
			PRIMARY KEY (`id_note`)
		)", __FILE__, __LINE__);
	
	// Make some changes if it's an upgrade from the beta version.
	$result = db_query("SHOW COLUMNS FROM {$db_prefix}member_notes", __FILE__, __LINE__);
	while($col = mysql_fetch_assoc( $result ))
	{
		if($col['Field'] == 'note_id')
			db_query("ALTER TABLE {$db_prefix}member_notes
				CHANGE COLUMN note_id id_note mediumint(8) UNSIGNED
				", __FILE__, __LINE__);

		if($col['Field'] == 'ID_MEMBER')
			db_query("ALTER TABLE {$db_prefix}member_notes
				CHANGE COLUMN ID_MEMBER id_member mediumint(8) UNSIGNED NOT NULL
				", __FILE__, __LINE__);
	}
	mysql_free_result($result);

	// Add to the settings table.
	db_query("
		INSERT IGNORE INTO {$db_prefix}settings
			(variable, value)
		VALUES ('notepad_enable_use', 1),
			('notepad_max_notes', 0)
			", __FILE__, __LINE__);
	
	// Add permission for all member groups
	$groups = array();
	$request = db_query("
		SELECT ID_GROUP
		FROM {$db_prefix}membergroups
		WHERE ID_GROUP != 1", __FILE__, __LINE__);
	while ($row = mysql_fetch_assoc($request))
		$groups[] = $row['ID_GROUP'];
	mysql_free_result($request);

	// Give them all their new permission.
	$request = db_query("
		INSERT IGNORE INTO {$db_prefix}permissions
			(permission, ID_GROUP, addDeny)
		VALUES
			('use_notepad', 0, 1),
 			('use_notepad', " . implode(", 1),
			('use_notepad', ", $groups) . ", 1)", __FILE__, __LINE__);
}

if(SMF == 'SSI')
	echo 'The database updates for the Member Notepad mod are complete!';
?>